Bug 508516 - Boot hangs when booting from a root over LVM over MD software RAID5
Boot hangs when booting from a root over LVM over MD software RAID5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-28 04:00 EDT by Gilboa Davara
Modified: 2010-06-28 09:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-28 09:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2009-06-28 04:00:57 EDT
Description of problem:
Upgraded a copy of F10 to F11 using x86_64 DVD.
Installation was successful.
Any attempt to boot using the F11 kernel hangs following this message (I did not see any nash messages):

aid5: device sdc5 operational as raid disk 0
raid5: device sdb5 operational as raid disk 2
raid5: device sda5 operational as raid disk 1
raid5: allocated 3226kB for md1
raid5: raid level 5 set md1 active with 3 out of 3 devices, algorithm 2.
RAID5 conf printout:
 --- rd:3 wd:3
 disk 0, o:1, dev:sdc5
 disk 1, o:1, dev:sda5
 disk 1, o:1, dev:sdb5
 md1: unknown partition table  

The installation DVD's resume boot just fine and Anaconda has no problem identifying and mounting the MD/LVM/partitions.
Switching back to Fedora 10 works just fine.
May, or may not be related to bug #505433. (I don't have any active LVM snapshots)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a software RAID5 MD device.
2. Create an LVM device on top of the MD device without a partition table.
3. Install F11.
Actual results:
Boot failure.

Expected results:

Additional info:
2 x Xeon E5335.
3 x 320GB 7.2K SATA on native SATA mode.

- Gilboa
Comment 1 Chuck Ebbert 2009-06-30 12:21:20 EDT
How long did you let it sit before deciding it was never going to finish booting?
Comment 2 Gilboa Davara 2009-07-01 07:28:59 EDT
Around 15 minutes.
Should I retest and give it more time?

- Gilboa
Comment 3 Gilboa Davara 2009-07-11 10:24:23 EDT
I decided to install F11 and it works just fine.
Sadly enough, I didn't snapshot the original preupgrade F11 partition. (As I didn't really expect the new installation to work.)

Broken mkinitrd in preupgrade?

- Gilboa
Comment 4 Bug Zapper 2010-04-27 11:18:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2010-06-28 09:20:54 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.